﻿@model ccu_basketball.ViewModel.DepartmentRecordViewModel

@{
	ViewData["Title"] = "系所專區";
}
<head>
	<link href="~/css/departmentRecord.css" rel="stylesheet" />

</head>
<section id="departmentRecord">
	<div class="container wrap">
		@* 未來賽事功能尚未開發
			<table class="table table-hover" id="future-game">
			<thead>
				<tr class="thead-dark">
					<th colspan="3" class="table-title">
						<i class="fa fa-calendar" style="margin-right:4px;"></i>
						未來賽事
					</th>
				</tr>
			</thead>
			<thead>
				<tr class="thead-light">
					<th scope="col">日期</th>
					<th scope="col">對手</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td scope="row">2020-4-11</td>
					<td>xxx</td>
				</tr>
			</tbody>
		</table>*@
		<table class="table table-hover">
			<thead>
				<tr>
					<th colspan="3" class="table-title">
						<i class="fa fa-history" style="margin-right:4px;"></i>
						@ViewData["DepartmentTitle"]-歷史戰績
					</th>
				</tr>
			</thead>
			<thead class="thead-blue">
				<tr>
					<th scope="col">日期</th>
					<th scope="col">對手</th>
					<th scope="col">比數</th>
				</tr>
			</thead>
			<tbody>
				@if (Model.HistoryGameList.Count == 0)
				{
					<tr>
						<td colspan="3" class="no-history-game">無歷史戰績</td>
					</tr>
				}
				else
				{
					@foreach (var historyGame in Model.HistoryGameList)
					{
						<tr>
							<td scope="row">@historyGame.GameDate</td>
							<td>@historyGame.Opponenet</td>
							<td>@historyGame.Score</td>
						</tr>
					}
				}
			</tbody>
		</table>
	</div>
</section>

